Subject: Re: [RRG] Renumbering...

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Aug 2008 12:06:05 +1200

On 2008-08-20 11:26, Tony Li wrote:
> Hi Eric,
>  
> 
> |1) PI in IPv4 is currently complex due to the many pre-CIDR 
> |deployments.
> |I can't remember how many Class Cs and Class Bs we had before we traded
> |many of them in but it was probably triple digits. Certainly we all
> |recognize that pre-CIDR allocations harm aggregation. Regardless, PI in
> |IPv6 must always be treated in a CIDR-like manner so it should have
> |better aggregation characteristics than IPv4.
> 
> 
> Just FYI, all v6 allocation right now is being done in a PI manner.

I think that's a bit of an overstatement: ISPs are getting large PA
allocations. But certainly many PI assignments are also occurring,
and I don't know how to get that toothpaste back in the tube.

    Brian

> 
> 
> |4) The large end user, particularly governments, obviously 
> |need PI space
> |for the reasons I've discussed far too much recently.
> 
> 
> s/need/want/.  I have yet to see any site that could not suffice with PA
> space.  Yes, it would have some (possibly painful) impact, but it is doable.
> 
> 
> |5) Therefore, the issue that concerns you probably centers upon how the
> |many medium sized corporations and entities will be supported. 
> |I suggest
> |that network requests above a certain size may qualify for PI and must
> |be handled by an entity other than ISPs, to counteract the issue you
> |observed above. ISPs should only be able to allocate from their own PA
> |space. 
> 
> 
> My issue is simple, and is still the one I initially raised: can we
> reasonably recommend an architecture that requires renumbering (either once,
> or repeatedly)?  Your answer is a clear and resounding 'no', coupled with a
> preference for NAT based soliutions..
> 
> 
> |My recommendation, therefore, is that your issue, Tony, be handled by
> |only enabling ISPs to hand out PA addresses for their own 
> |customers only
> |and have some other worldwide administrative entity be responsible for
> |allocating PI addresses for the Internet. There should be a well-known
> |cost for "buying" certain PI CIDR address range sizes from that entity
> |for private use (i.e., address ownership should cost something). That
> |latter administrative entity needs to be guided by well-established
> |policies so that their actions will be consistent, fair, and above
> |reproach with a well-known mechanism established for review 
> |and handling
> |disputes. They need to be particularly sensitive to requests 
> |coming from
> |governments.
> 
> 
> In short, it's a non-technical issue with only a socio-economic solution.
> That's not very satisfying from an architectural issue.  Just as there is
> clear over-use of PI space today, there is no technical basis here for
> requiring certain 'have-not' end-users to remain with local prefixes while
> the 'haves' get global PI service.
> 
> Tony
> 
> 
> --
> to unsubscribe send a message to [email-masked] with the
> word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg
> 

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg